Update SMS configuration
curl --request PUT \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/sms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sms_enabled": true
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/sms"
payload = { "sms_enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sms_enabled: true})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/sms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.BusinessSmsConfiguration",
"sms_enabled": true,
"sms_stopped": true
}
}Configuration
Update SMS configuration
Updates the SMS settings for the business associated with the provided business id. Currently this setting is an enabled flag.
PUT
/
v1
/
businesses
/
{businessId}
/
sms
Update SMS configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to update the SMS settings for.
Body
application/json
The SMS configuration status to set for a business.
Whether SMS is enabled for this business.
Response
200 - application/json
The SMS configuration status for a business.
Show child attributes
Show child attributes
āI